package com.epson.mobilephone.common.escpr;

public class Info_paper {
    public static int boder_pixel = 42;
    private int border_bottom_margin;
    private int border_left_margin;
    private int border_right_margin;
    private int border_top_margin;
    private int borderless_bottom_margin;
    private int borderless_left_margin;
    private int borderless_right_margin;
    private int borderless_top_margin;
    private int paper_height;
    private int paper_height_boder;
    private int paper_height_boderless;
    private int paper_width;
    private int paper_width_boder;
    private int paper_width_boderless;

    public int getPaper_height() {
        return paper_height;
    }

    public void setPaper_height(int i) {
        paper_height = i;
    }

    public int getPaper_width_boder() {
        return paper_width_boder;
    }

    public void setPaper_width_boder(int i) {
        paper_width_boder = i;
    }

    public int getPaper_height_boder() {
        return paper_height_boder;
    }

    public void setPaper_height_boder(int i) {
        paper_height_boder = i;
    }

    public int getPaper_width_boderless() {
        return paper_width_boderless;
    }

    public void setPaper_width_boderless(int i) {
        paper_width_boderless = i;
    }

    public int getPaper_height_boderless() {
        return paper_height_boderless;
    }

    public void setPaper_height_boderless(int i) {
        paper_height_boderless = i;
    }

    public int getLeftMargin() {
        return borderless_left_margin;
    }

    public void setLeftMargin(int i) {
        borderless_left_margin = i;
    }

    public int getTopMargin() {
        return borderless_top_margin;
    }

    public void setTopMargin(int i) {
        borderless_top_margin = i;
    }

    public int getRightMargin() {
        return borderless_right_margin;
    }

    public int getBottomMargin() {
        return borderless_bottom_margin;
    }

    public int getBorderLeftMargin() {
        return border_left_margin;
    }

    public int getBorderTopMargin() {
        return border_top_margin;
    }

    public int getBorderRightMargin() {
        return border_right_margin;
    }

    public int getBorderBottomMargin() {
        return border_bottom_margin;
    }

    public int getPaper_width() {
        return paper_width;
    }

    public void setPaper_width(int i) {
        paper_width = i;
    }

    public Info_paper(int i, int i2, int i3, int i4, int i5, int i6, int i7, int i8) {
        paper_height = i2;
        paper_width = i;
        paper_height_boder = i4;
        paper_height_boderless = i8;
        paper_width_boder = i3;
        paper_width_boderless = i7;
        int i9 = paper_width;
        int i10 = paper_width_boder;
        border_left_margin = (i9 - i10) / 2;
        int i11 = paper_height;
        int i12 = paper_height_boder;
        border_top_margin = (i11 - i12) / 2;
        border_right_margin = (i9 - i10) / 2;
        border_bottom_margin = (i11 - i12) / 2;
        borderless_left_margin = i5;
        borderless_top_margin = i6;
        borderless_right_margin = (paper_width_boderless - i9) - i5;
        borderless_bottom_margin = (paper_height_boderless - i11) - i6;
    }

    public Info_paper(int i, int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9, int i10, int i11, int i12, int i13, int i14) {
        paper_height = i2;
        paper_width = i;
        paper_height_boder = i4;
        paper_height_boderless = i8;
        paper_width_boder = i3;
        paper_width_boderless = i7;
        border_left_margin = i9;
        border_top_margin = i10;
        border_right_margin = i11;
        border_bottom_margin = i12;
        borderless_left_margin = i5;
        borderless_top_margin = i6;
        borderless_right_margin = i13;
        borderless_bottom_margin = i14;
    }
}
